# react-input-flatpickr

[![code style: prettier](https://img.shields.io/badge/code_style-prettier-ff69b4.svg?style=flat-square)](https://github.com/prettier/prettier) [![CircleCI](https://circleci.com/gh/geekcojp/react-input-flatpickr/tree/master.svg?style=svg&circle-token=51a03bddfeaf1db5fa8795c56a7193ee394c1104)](https://circleci.com/gh/geekcojp/react-input-flatpickr/tree/master)

## Usage

```bash
yarn add @geekcojp/react-input-flatpickr
```

## Props

```ts
export interface InputFlatpickrProps extends flatpickr.Options.Options {
  theme?:
    | 'dark'
    | 'material_blue'
    | 'material_green'
    | 'material_orange'
    | 'material_red'
    | 'airbnb'
    | 'confetti';
  value?: string;
  placeholder?: string;
  inputName?: string;
  inputReadonly?: boolean;
  disabled?: boolean;
  handleInputBlur?(data: {
    input: HTMLInputElement;
    value: string;
  }): void | Promise<void>;
  handleInputChange?(data: {
    input: HTMLInputElement;
    value: string;
  }): void | Promise<void>;
}
```
